GNU bug report logs - #39635
[PATCH] website: Modify use of H1 headings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: sirgazil <sirgazil@HIDDEN>; Keywords: patch; dated Sun, 16 Feb 2020 18:28:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 39635 <at> debbugs.gnu.org:


Received: (at 39635) by debbugs.gnu.org; 13 Oct 2020 01:36:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 21:36:47 2020
Received: from localhost ([127.0.0.1]:44549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kS9F8-000066-Qa
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 21:36:47 -0400
Received: from mail-qt1-f196.google.com ([209.85.160.196]:33062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1kS9F7-00005q-FV
 for 39635 <at> debbugs.gnu.org; Mon, 12 Oct 2020 21:36:45 -0400
Received: by mail-qt1-f196.google.com with SMTP id c23so14990995qtp.0
 for <39635 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 18:36:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=6+34UhUPSCIIzOjHzl07mC9OnHBU0jyKtCyeg4uoPEs=;
 b=ZrE6ZwRZJWNvgqTRROjYVVVA8aaXD7qBTENn7nQ/zowyC15s83joIhk2TL6pimd1ZP
 VzuuPUANHqL+4RQP3Gf6+m4+LulHuxjWz3ZOfx9cHuEPgqBueGJD4+ecc9mVwENeW63m
 JjEKh8zUsrGXSLj5CLocwgmHCkVhIeUqbyU63A8Iad7+pByb6mHtZYWzHHPzOfiaB8tb
 tzMogSf2vigHNoJ9GjxjgsUDlJAUImgC+yof+YL2DlKOFDfVUJeKHp6liZUzusCh8F8t
 JGgmIxlMHJx3GY58hSxzwdfSW/ocRhoTG06rmWfaerHUemiaxbgNGdZjOHsAFxOR0qhQ
 LlJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=6+34UhUPSCIIzOjHzl07mC9OnHBU0jyKtCyeg4uoPEs=;
 b=dkAxz/cj0OegFnVBtMcpPUGywkHDYHrSR+McfHU+X1gbwBikXXYRtzEwCUIAUn+eDu
 3q3D2f9bG9Y+S4CFkMbbelx49NrMPa4rHQlK3wnfUsHg4EFNaU8uhG3Bu0JaoXJphN7a
 Bo7zkbh4prZEY06XjlRPlEoaNoJans/9z0vo1sWudRMlypPvRk6SAgFUr7BgtijFdLZm
 L3c5LkonmwjmwDN/H3hEJ2JBuPkfz161cLZ5fhve34qk8rU/t4kix3RjRsZAfdq8rKJ6
 FdWmEiej4SZcAaicQd5Ljam1ZylDwEBXmFqj76J7BJt+qUTMwZOdza3DHS523+vqgD91
 lBEQ==
X-Gm-Message-State: AOAM531oEo0n5/URiM2f3DIQ9xPQT8i+933N1XnNrS0fwi1JT7igMvju
 eySmrqybTwdXa1J7Bjm5l84H20XkFyIRSw==
X-Google-Smtp-Source: ABdhPJyQtFICIjBofYRLe6URLisR+Mvmh4k7dGkZ/yphFOwn5eSOaN2i/M1dGrJCtSU1JO3xPSI/xQ==
X-Received: by 2002:ac8:224e:: with SMTP id p14mr12955474qtp.248.1602552999934; 
 Mon, 12 Oct 2020 18:36:39 -0700 (PDT)
Received: from hurd (dsl-10-136-39.b2b2c.ca. [72.10.136.39])
 by smtp.gmail.com with ESMTPSA id d7sm13315744qkg.29.2020.10.12.18.36.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 12 Oct 2020 18:36:39 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Luis Felipe <luis.felipe.la@HIDDEN>
Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings
References: <20200216182649.25068-1-sirgazil@HIDDEN>
 <87a6wwru4y.fsf@HIDDEN>
 <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
Date: Mon, 12 Oct 2020 21:36:38 -0400
In-Reply-To: <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
 (Luis Felipe's message of "Sat, 10 Oct 2020 19:51:02 +0000")
Message-ID: <877dru9aah.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39635
Cc: "39635 <at> debbugs.gnu.org" <39635 <at> debbugs.gnu.org>,
 sirgazil <sirgazil@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Luis,

Luis Felipe <luis.felipe.la@HIDDEN> writes:

> Hi, Maxim.
>
>
> =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original =
Message =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
> On Friday, October 9, 2020 2:49 AM, Maxim Cournoyer <maxim.cournoyer@gmai=
l.com> wrote:
>
> [...]
>
>> Thanks for the patch! It makes sense. Unfortunately it doesn't apply
>> with 'git am' :-/. Could you rebase it on the current master branch of
>> guix-artwork?
>
> Well, that's unfortunate because that patch is all I have. The copy of th=
e git repository I was working on is long gone.
>
> I'd redo the work, and send a new patch, but I haven't had much luck with=
 my patches for the website, so I guess I pass for now.

That's unfortunate, indeed.  Sorry we failed to be more responsive,
leading to this.  Feel free to ping me on #guix when you get around to
send a refresh patch; I go by the 'apteryx' nickname.

Happy hacking,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at 39635 <at> debbugs.gnu.org:


Received: (at 39635) by debbugs.gnu.org; 12 Oct 2020 14:09:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 10:09:13 2020
Received: from localhost ([127.0.0.1]:43574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRyVk-0001Rc-PE
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 10:09:13 -0400
Received: from mail-40132.protonmail.ch ([185.70.40.132]:42473)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luis.felipe.la@HIDDEN>) id 1kRyVi-0001RB-EY
 for 39635 <at> debbugs.gnu.org; Mon, 12 Oct 2020 10:09:11 -0400
Date: Mon, 12 Oct 2020 14:08:56 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1602511744;
 bh=V/XWaiJmx4JphcDfLKVtcgUwVes7u3qDIC/qGQZ5+So=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Oov7EDG0ggtS4lWujMYIDpTy8P1DjgHwpv0mQWBYD5WiKLGeYuH4XvpRjoCDa95eD
 j3Oy5lucAxg5xOn5hMUn7CnBDNM1sf6KLIODIi39w+Kq/GGcU7WyYsFRa1NA5d95ME
 8RqxXsk48gX8LPfJvpJrHm2Qly2EdroLHNpbSU8Y=
To: zimoun <zimon.toutoune@HIDDEN>
From: Luis Felipe <luis.felipe.la@HIDDEN>
Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings
Message-ID: <2th522AfsnS2Ummf2JAcAhhLn1axeFwbY-BF0oSrh1Sls4ory0s-v7Xhdda4LpBxhWS9GYmef9RrfJF7SFhFeFZQfYvUdumYaoKlBvLcKnE=@protonmail.com>
In-Reply-To: <CAJ3okZ1AxA31UMKJc5LhVEU2+Gj8RZ5Q9HUVdvfhLV2XA9KB_A@HIDDEN>
References: <20200216182649.25068-1-sirgazil@HIDDEN>
 <87a6wwru4y.fsf@HIDDEN>
 <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
 <CAJ3okZ1AxA31UMKJc5LhVEU2+Gj8RZ5Q9HUVdvfhLV2XA9KB_A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39635
Cc: "39635 <at> debbugs.gnu.org" <39635 <at> debbugs.gnu.org>,
 sirgazil <sirgazil@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 Luis Felipe via Guix-patches <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Luis Felipe <luis.felipe.la@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi simon, thanks for the tip. I'll do that from now on.




Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2020 14:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 10:09:10 2020
Received: from localhost ([127.0.0.1]:43571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRyVi-0001RO-HO
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 10:09:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:35748)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luis.felipe.la@HIDDEN>) id 1kRyVg-0001RG-Tg
 for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 10:09:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58408)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luis.felipe.la@HIDDEN>)
 id 1kRyVg-0007Ux-El
 for guix-patches@HIDDEN; Mon, 12 Oct 2020 10:09:08 -0400
Received: from mail-40132.protonmail.ch ([185.70.40.132]:52537)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luis.felipe.la@HIDDEN>)
 id 1kRyVe-0003ZI-GA
 for guix-patches@HIDDEN; Mon, 12 Oct 2020 10:09:08 -0400
Date: Mon, 12 Oct 2020 14:08:56 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1602511744;
 bh=V/XWaiJmx4JphcDfLKVtcgUwVes7u3qDIC/qGQZ5+So=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Oov7EDG0ggtS4lWujMYIDpTy8P1DjgHwpv0mQWBYD5WiKLGeYuH4XvpRjoCDa95eD
 j3Oy5lucAxg5xOn5hMUn7CnBDNM1sf6KLIODIi39w+Kq/GGcU7WyYsFRa1NA5d95ME
 8RqxXsk48gX8LPfJvpJrHm2Qly2EdroLHNpbSU8Y=
To: zimoun <zimon.toutoune@HIDDEN>
From: Luis Felipe <luis.felipe.la@HIDDEN>
Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings
Message-ID: <2th522AfsnS2Ummf2JAcAhhLn1axeFwbY-BF0oSrh1Sls4ory0s-v7Xhdda4LpBxhWS9GYmef9RrfJF7SFhFeFZQfYvUdumYaoKlBvLcKnE=@protonmail.com>
In-Reply-To: <CAJ3okZ1AxA31UMKJc5LhVEU2+Gj8RZ5Q9HUVdvfhLV2XA9KB_A@HIDDEN>
References: <20200216182649.25068-1-sirgazil@HIDDEN>
 <87a6wwru4y.fsf@HIDDEN>
 <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
 <CAJ3okZ1AxA31UMKJc5LhVEU2+Gj8RZ5Q9HUVdvfhLV2XA9KB_A@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.132;
 envelope-from=luis.felipe.la@HIDDEN; helo=mail-40132.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/12 10:09:04
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: "39635 <at> debbugs.gnu.org" <39635 <at> debbugs.gnu.org>,
 sirgazil <sirgazil@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>,
 Luis Felipe via Guix-patches <guix-patches@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Luis Felipe <luis.felipe.la@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi simon, thanks for the tip. I'll do that from now on.




Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at 39635 <at> debbugs.gnu.org:


Received: (at 39635) by debbugs.gnu.org; 12 Oct 2020 08:02:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 04:02:41 2020
Received: from localhost ([127.0.0.1]:41615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRsn3-0006RF-JJ
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 04:02:41 -0400
Received: from mail-qk1-f196.google.com ([209.85.222.196]:37103)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kRsn2-0006Qq-DD
 for 39635 <at> debbugs.gnu.org; Mon, 12 Oct 2020 04:02:40 -0400
Received: by mail-qk1-f196.google.com with SMTP id z6so17027206qkz.4
 for <39635 <at> debbugs.gnu.org>; Mon, 12 Oct 2020 01:02:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Jz+fTKR3kT+ToAtWBzCxI4ocV0va5aKXDj15e8COA5I=;
 b=b6mVkvXzZKwLNZyEqToF1uT1FNPSP0/ugypGlS30KnMace1X3Ln14wdVJEX45btglQ
 /xDcDJOG8uJx+bTnonDU6PNLbyOLDVCE6cV84jMyZyipJvvE602ZIbUhcLbnNu7M3+mk
 r3u7EDXrILlA1fybXXiedrqbN0WJ9sTuqTMnWRBknHXDYEECiWtlOvNhs+xmWE+LCUF7
 AnaKPPnbNztQJsM5Rwb2fxARdVNjrJMoR3mfN340r03BL/BhU0kjE52AlDf6P1OpRhOJ
 5E6z8rjdfspr/mVTVS2wA/uvoaIF2Ox4W5Jj0HSxsLqB2PLYLug3leEguZrPEUSCNT8C
 7CaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Jz+fTKR3kT+ToAtWBzCxI4ocV0va5aKXDj15e8COA5I=;
 b=ZFjfWtyHbgFW5mNKSbUjm0oedbL4DK3hSCpbaqRIUvVqKtY7je0fgc6XvattVEjlLB
 3hFWaGWdFYv1OPzXEr8AVk4NZoYbAZZEvmVgYqPyMFBHkOnepD/1IJDNUPoV8L/uUiKR
 gknYQifxSTaQYn4Z122V3dA5bSzvAcfu0TAmPtVMLtktwHzsLNMbZ8sCExoSC/H0HKIr
 CfIRLk9pvEV+cCvVHEoxyyc+ikrrVhyfIn36A6f0tmi5c7ebKTM+ksvXsvp2bYM/63XC
 k6tmuPkY+4JTk+aiK9gpSq1zrAtiiEHjUWorLXR50L7nxsAHFmbcRI3AXy19kkcTMM7n
 OMeA==
X-Gm-Message-State: AOAM532hEKzUsqA9FB8S9ngZwdcN3LTwNV6vBXO8dmVQQpJv37SsmkN2
 ZyXH5HIiLYwUS3rK3xJJLgnT1hyNHm2jNOtBsQA=
X-Google-Smtp-Source: ABdhPJwsUyPr+/+wUhXAOf+wbJdXvzEu3xCBj1QgA/SbzyEV3dcuNchphe7BftTD7UwUE4JDS6wg1GYP//pwem9KuAg=
X-Received: by 2002:a37:c56:: with SMTP id 83mr7985117qkm.304.1602489754789;
 Mon, 12 Oct 2020 01:02:34 -0700 (PDT)
MIME-Version: 1.0
References: <20200216182649.25068-1-sirgazil@HIDDEN>
 <87a6wwru4y.fsf@HIDDEN>
 <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
In-Reply-To: <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 12 Oct 2020 10:02:23 +0200
Message-ID: <CAJ3okZ1AxA31UMKJc5LhVEU2+Gj8RZ5Q9HUVdvfhLV2XA9KB_A@HIDDEN>
Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings
To: Luis Felipe <luis.felipe.la@HIDDEN>, 
 Luis Felipe via Guix-patches <guix-patches@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39635
Cc: "39635 <at> debbugs.gnu.org" <39635 <at> debbugs.gnu.org>,
 sirgazil <sirgazil@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

On Sat, 10 Oct 2020 at 21:58, Luis Felipe via Guix-patches via
<guix-patches@HIDDEN> wrote:

> Well, that's unfortunate because that patch is all I have. The copy of the git repository I was working on is long gone.

Sad!
Since I have hit this issue several times when digging in the
Bug/Patch Report, now when sending patches, I personally try to use:

   git format-patch --base <commit-where-it-applies>

Then the patch contains at the bottom these lines, for example:

--8<---------------cut here---------------start------------->8---
base-commit: 679d5e6b3dcac4ee1f419c04b3719fead0bd9ee5
-- 
2.28.0
--8<---------------cut here---------------end--------------->8---

And with a recent enough Magit version, it is "W c C-m b".

Well, it seems a good habit iMHO and I will try to send a patch
updating the section "Submitting Patches".

Thanks,
simon




Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2020 08:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 12 04:02:40 2020
Received: from localhost ([127.0.0.1]:41612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRsn2-0006R3-7t
	for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 04:02:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:36120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kRsmz-0006Qu-Jy
 for submit <at> debbugs.gnu.org; Mon, 12 Oct 2020 04:02:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45726)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1kRsmz-0005Yj-DL
 for guix-patches@HIDDEN; Mon, 12 Oct 2020 04:02:37 -0400
Received: from mail-qk1-x741.google.com ([2607:f8b0:4864:20::741]:43072)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1kRsmx-0004KA-Qx
 for guix-patches@HIDDEN; Mon, 12 Oct 2020 04:02:37 -0400
Received: by mail-qk1-x741.google.com with SMTP id c2so16966864qkf.10
 for <guix-patches@HIDDEN>; Mon, 12 Oct 2020 01:02:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Jz+fTKR3kT+ToAtWBzCxI4ocV0va5aKXDj15e8COA5I=;
 b=b6mVkvXzZKwLNZyEqToF1uT1FNPSP0/ugypGlS30KnMace1X3Ln14wdVJEX45btglQ
 /xDcDJOG8uJx+bTnonDU6PNLbyOLDVCE6cV84jMyZyipJvvE602ZIbUhcLbnNu7M3+mk
 r3u7EDXrILlA1fybXXiedrqbN0WJ9sTuqTMnWRBknHXDYEECiWtlOvNhs+xmWE+LCUF7
 AnaKPPnbNztQJsM5Rwb2fxARdVNjrJMoR3mfN340r03BL/BhU0kjE52AlDf6P1OpRhOJ
 5E6z8rjdfspr/mVTVS2wA/uvoaIF2Ox4W5Jj0HSxsLqB2PLYLug3leEguZrPEUSCNT8C
 7CaA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Jz+fTKR3kT+ToAtWBzCxI4ocV0va5aKXDj15e8COA5I=;
 b=hS5eTQwiUw0cZHT/b3XWox7iD+5hEZ7D24BYZHEl1BxRrv9XnGgS+FvwdxmF/1tl7b
 0Mg7qX1LnNtzQ1q381GVHZVC0Wt4hVM2Mw73gP6N4zDJT8VA6P3yVCg7iWkOc14rBWUo
 dOfDF0jmktI8MnYma/Nc7UrZRz5pxeSuBeF7nSXeriAUbccE8yMuskosW48Oca9pHDxG
 cPZXZAII6VpTDRlz7T6+j7U2fUeQ2FGkmMxtKovfbv65e5cy9JeExBazrg5IJXMmLoLM
 eN5V7SrR0uMT8xpkJ/ZYOl5+zHIywLJ0JLmWGAgz87R1kNyHZJ2P9Lthtg8txdgsOZiY
 wPRw==
X-Gm-Message-State: AOAM533emwg2MmXdGDm1b1qo1bcMw9CMpBKZFcT6YkCP2CRDvE2Ketro
 8znwTLmQm8ZFji1TnzpzNPDdfE/GtEMrGe7VhJQ=
X-Google-Smtp-Source: ABdhPJwsUyPr+/+wUhXAOf+wbJdXvzEu3xCBj1QgA/SbzyEV3dcuNchphe7BftTD7UwUE4JDS6wg1GYP//pwem9KuAg=
X-Received: by 2002:a37:c56:: with SMTP id 83mr7985117qkm.304.1602489754789;
 Mon, 12 Oct 2020 01:02:34 -0700 (PDT)
MIME-Version: 1.0
References: <20200216182649.25068-1-sirgazil@HIDDEN>
 <87a6wwru4y.fsf@HIDDEN>
 <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
In-Reply-To: <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 12 Oct 2020 10:02:23 +0200
Message-ID: <CAJ3okZ1AxA31UMKJc5LhVEU2+Gj8RZ5Q9HUVdvfhLV2XA9KB_A@HIDDEN>
Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings
To: Luis Felipe <luis.felipe.la@HIDDEN>, 
 Luis Felipe via Guix-patches <guix-patches@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::741;
 envelope-from=zimon.toutoune@HIDDEN; helo=mail-qk1-x741.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: "39635 <at> debbugs.gnu.org" <39635 <at> debbugs.gnu.org>,
 sirgazil <sirgazil@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Dear,

On Sat, 10 Oct 2020 at 21:58, Luis Felipe via Guix-patches via
<guix-patches@HIDDEN> wrote:

> Well, that's unfortunate because that patch is all I have. The copy of the git repository I was working on is long gone.

Sad!
Since I have hit this issue several times when digging in the
Bug/Patch Report, now when sending patches, I personally try to use:

   git format-patch --base <commit-where-it-applies>

Then the patch contains at the bottom these lines, for example:

--8<---------------cut here---------------start------------->8---
base-commit: 679d5e6b3dcac4ee1f419c04b3719fead0bd9ee5
-- 
2.28.0
--8<---------------cut here---------------end--------------->8---

And with a recent enough Magit version, it is "W c C-m b".

Well, it seems a good habit iMHO and I will try to send a patch
updating the section "Submitting Patches".

Thanks,
simon




Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at 39635 <at> debbugs.gnu.org:


Received: (at 39635) by debbugs.gnu.org; 10 Oct 2020 19:51:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 10 15:51:19 2020
Received: from localhost ([127.0.0.1]:38589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRKtj-0007GX-7V
	for submit <at> debbugs.gnu.org; Sat, 10 Oct 2020 15:51:19 -0400
Received: from mail-40135.protonmail.ch ([185.70.40.135]:42270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luis.felipe.la@HIDDEN>) id 1kRKth-0007GL-U7
 for 39635 <at> debbugs.gnu.org; Sat, 10 Oct 2020 15:51:18 -0400
Date: Sat, 10 Oct 2020 19:51:02 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1602359471;
 bh=PUb/AcoYXZZIsLaDTmzkkyHerKNkeUfk7HKxQ7nsWAA=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=CG/tP2WgqJdJ1PnnY3CAEwMsJPyXUzAQirHQpRnRYmeLiX3wV+YFDQ1YVQZ1CLzHv
 et6KX4Wfrbcs2GZVDdvREzdJSFxMF4FZOth0w+uT9mAvWG9x8zJFWN2hnD7CKvu46M
 NjsE5j6g2g+BwbVnFxq5GuIe/384BIF5TVKmKjKc=
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
From: Luis Felipe <luis.felipe.la@HIDDEN>
Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings
Message-ID: <Ye8Qtu3z3EJLQkPYTko-BBX7xEEqR9sL9a6Blwe7HQFgLe2jc1973WZzO7WnfovRVLt9Oky1wdss6YmT-YcaGytjgN8uRlVD7bStoRf10is=@protonmail.com>
In-Reply-To: <87a6wwru4y.fsf@HIDDEN>
References: <20200216182649.25068-1-sirgazil@HIDDEN>
 <87a6wwru4y.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39635
Cc: "39635 <at> debbugs.gnu.org" <39635 <at> debbugs.gnu.org>,
 sirgazil <sirgazil@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Luis Felipe <luis.felipe.la@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi, Maxim.


=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90 Original Me=
ssage =E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90=E2=80=90
On Friday, October 9, 2020 2:49 AM, Maxim Cournoyer <maxim.cournoyer@gmail.=
com> wrote:

[...]

> Thanks for the patch! It makes sense. Unfortunately it doesn't apply
> with 'git am' :-/. Could you rebase it on the current master branch of
> guix-artwork?

Well, that's unfortunate because that patch is all I have. The copy of the =
git repository I was working on is long gone.

I'd redo the work, and send a new patch, but I haven't had much luck with m=
y patches for the website, so I guess I pass for now.

Thanks,






Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at 39635 <at> debbugs.gnu.org:


Received: (at 39635) by debbugs.gnu.org; 9 Oct 2020 02:49:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 08 22:49:27 2020
Received: from localhost ([127.0.0.1]:33716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQiTH-0002eP-AW
	for submit <at> debbugs.gnu.org; Thu, 08 Oct 2020 22:49:27 -0400
Received: from mail-qt1-f193.google.com ([209.85.160.193]:41390)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1kQiTE-0002eB-Qj
 for 39635 <at> debbugs.gnu.org; Thu, 08 Oct 2020 22:49:26 -0400
Received: by mail-qt1-f193.google.com with SMTP id z33so3037529qth.8
 for <39635 <at> debbugs.gnu.org>; Thu, 08 Oct 2020 19:49:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=olx5KxDzaZbK6p3o6O/hrfn1TCgOhkedKQYgPbmRg1Y=;
 b=UwdCjXWKn18Ig6yWcDP5dzeIbncdkw+pkI1kEM0w2hPMmkJTdrkhJYwaAjaqORikie
 ioClr4ms5j8V88NiiYqjA1wvwMZzxhn/4EwPQv/rbWQxXix/oy3zD42FndgY1I2FRvlx
 udkHTJGV9T2dxH713LQMjOuaGo0F9XA569gDz1aX8IPJXSdnd6ndquMH3tdwFNpqjxoX
 IboqKXSIjmNo/3dDWXGSjt6iBrsrD87gzG1n2tJf9M5oiopEW62FcOa/WJhKsg6fO+Ep
 X3Nb97NLyMk49bYL0ZHUVczmRNW1BUIJEtJizfK35LOJM6aBfURaWRmdlVohkzSpOgIx
 Bb1Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=olx5KxDzaZbK6p3o6O/hrfn1TCgOhkedKQYgPbmRg1Y=;
 b=PhJ8gXBk+rOhxFM3LVsyF4rm3Ir39Oz1R0fVoQjlouXGE5OshdCXEK3ebjByY2MhgD
 1rVkZ0yhtLTkzp5hCeRWp4DSOiT5TfmgSah+YO9UsR8SaJeJeRdjQ8DX0W/6psKJLDl5
 BvB1OSLqhODdTCnuLriVa/LVdPchLEwgibiiYoCobJgWurXG7DAInbHlWmVhpX4dRtwf
 NvwJ1vluHwqd9cQuNmYQlmXg93ewiaO1+p+OWH0eF/R3uBMJvi+fypA+oRFflVj/OBrF
 jOi+i85sCVlz7VX3S6h9I5Rr2ajOiSs7pEPwq71hHueb7RBzyOHmENDRbqiUI9dho+Nj
 xWTA==
X-Gm-Message-State: AOAM532EVez463kuSkR+sFVyeLtcbotYWtQpi0L6Vudm07jickrsziYe
 KtQw81ybQMOXDQ4EGlD60PI=
X-Google-Smtp-Source: ABdhPJy5jnY0HeQCsJM721+oFQk0Pxlo6a2TLhlhryASY8+aSE4cUof0ZrYGTEdOXN4ZL+F7Ahnyrg==
X-Received: by 2002:ac8:5743:: with SMTP id 3mr11922006qtx.259.1602211759339; 
 Thu, 08 Oct 2020 19:49:19 -0700 (PDT)
Received: from hurd (dsl-10-135-56.b2b2c.ca. [72.10.135.56])
 by smtp.gmail.com with ESMTPSA id 142sm133174qkh.121.2020.10.08.19.49.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 08 Oct 2020 19:49:18 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: sirgazil <sirgazil@HIDDEN>
Subject: Re: [bug#39635] [PATCH] website: Modify use of H1 headings
References: <20200216182649.25068-1-sirgazil@HIDDEN>
Date: Thu, 08 Oct 2020 22:49:17 -0400
In-Reply-To: <20200216182649.25068-1-sirgazil@HIDDEN> (sirgazil@HIDDEN's
 message of "Sun, 16 Feb 2020 13:26:49 -0500")
Message-ID: <87a6wwru4y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39635
Cc: 39635 <at> debbugs.gnu.org, Luis Felipe <luis.felipe.la@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello sirgazil!

sirgazil <sirgazil@HIDDEN> writes:

> The website was originally designed to use only one H1 element per
> page, which is/was seen as a best practice for accessibility and
> SEO. However, the value of the H1 element in all the pages of the
> website was always the alternative text of the Guix logo ("Guix"). The
> main content of a page started with a level 2 heading (H2).
>
> This change maintains the best practice of using only one H1 element
> per page, but gives a less important level to the Guix logo (it
> becomes H2) and uses H1 as the heading for the main content of
> pages. This means, for example, that the H1 of the download page is
> "Download", the H1 of the help page is "Help", the H1 of a blog post
> is its title, and so on.
>
> The changes were tested in the following browsers (without assistive
> technologies):
>
> * IceCat 68.4.1esr
> * Epiphany 3.32.5 (WebKitGTK+ 2.26.3)
> * Lynx 2.8.9rel.1

Thanks for the patch!  It makes sense.  Unfortunately it doesn't apply
with 'git am' :-/.  Could you rebase it on the current master branch of
guix-artwork?

Thank you,

Maxim




Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at 39635 <at> debbugs.gnu.org:


Received: (at 39635) by debbugs.gnu.org; 6 Oct 2020 14:03:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 06 10:03:42 2020
Received: from localhost ([127.0.0.1]:53813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kPnZ7-0001ur-OT
	for submit <at> debbugs.gnu.org; Tue, 06 Oct 2020 10:03:41 -0400
Received: from mail-40138.protonmail.ch ([185.70.40.138]:49438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luis.felipe.la@HIDDEN>) id 1kPnZ4-0001ua-JS
 for 39635 <at> debbugs.gnu.org; Tue, 06 Oct 2020 10:03:40 -0400
Date: Tue, 06 Oct 2020 14:03:19 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1601993012;
 bh=oVz+Bbwj4Pz3a6RDHRzlwj/DQDW2v/QUIxXhCzPyEYk=;
 h=Date:To:From:Reply-To:Subject:From;
 b=VAAIdF38BsTkSNAPgBeBItQrr2kxUvsIhgPgmO7qgWTVgXb9UYstMWi7Q3NyWygdu
 I/9k0fyyjIeTOO5MLimhyvORw4ukus4fQ2zi4q0DWsUvDg/plBhsyjZ4Xmo3rvbRQe
 7OxA04UDQ7cMlCkhSOaMGeQsAXth60QIvkJzxmhE=
To: "39635 <at> debbugs.gnu.org" <39635 <at> debbugs.gnu.org>
From: Luis Felipe <luis.felipe.la@HIDDEN>
Subject: website: Modify use of H1 headings
Message-ID: <zwSeB545QcCtpauE6pSf6fAdsylZt_mkH78bdpKIcE2jGVUAU1ivLdIGOgsEc0SnyCO8dLLyfWRsED20HlO1tR7O_0T7VaaC0JslSGc4ezw=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_WWgmujk0DYRk8xZkB4NOA9glaRpaOxE6kacST4oNU"
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Ping... Regardless of whether this change is applied, I think
 it would be good to suggest blog posters to use heading levels to convey
 structure, not style. Currently, post headings are often used for the lat
 [...] Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [185.70.40.138 listed in wl.mailspike.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (luis.felipe.la[at]protonmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 3.0 AC_FROM_MANY_DOTS      Multiple periods in From user name
X-Debbugs-Envelope-To: 39635
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Luis Felipe <luis.felipe.la@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.

--b1_WWgmujk0DYRk8xZkB4NOA9glaRpaOxE6kacST4oNU
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

UGluZy4uLgoKUmVnYXJkbGVzcyBvZiB3aGV0aGVyIHRoaXMgY2hhbmdlIGlzIGFwcGxpZWQsIEkg
dGhpbmsgaXQgd291bGQgYmUgZ29vZCB0byBzdWdnZXN0IGJsb2cgcG9zdGVycyB0byB1c2UgaGVh
ZGluZyBsZXZlbHMgdG8gY29udmV5IHN0cnVjdHVyZSwgbm90IHN0eWxlLiBDdXJyZW50bHksIHBv
c3QgaGVhZGluZ3MgYXJlIG9mdGVuIHVzZWQgZm9yIHRoZSBsYXR0ZXIgKGZvciBpbnN0YW5jZSwg
dG8gbWFrZSBhIGhlYWRpbmcgdGV4dCBzbWFsbGVyKS4gSSBoYXZlbid0IHRyaWVkIG15c2VsZiwg
YnV0IGl0IHNlZW1zIHRoYXQgdXNpbmcgaGVhZGluZ3MgaW4gdGhpcyB3YXkgY2FuIG1ha2UgaXQg
aGFyZGVyIGZvciBwZW9wbGUgdXNpbmcgYXNzaXN0aXZlIHRlY2hub2xvZ2llcy4KClNvLCB3aGVu
IHdyaXRpbmcgYSBibG9nIHBvc3QsIHRoZSB0aXRsZSBoYXMgdGhlIGhpZ2hlc3QgbGV2ZWwgKGN1
cnJlbnRseSBIMiwgYnV0IEgxIGlmIHRoaXMgcGF0Y2ggaXMgYXBwbGllZCksIGFuZCB0aGUgaGVh
ZGluZ3MgaW4gdGhlIGJvZHkgc2hvdWxkIHVzZSBsb3dlciBsZXZlbHMgYWNjb3JkaW5nbHksIHdp
dGhvdXQgc2tpcHBpbmcgbGV2ZWxzLg==

--b1_WWgmujk0DYRk8xZkB4NOA9glaRpaOxE6kacST4oNU
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: base64

PGRpdj5QaW5nLi4uPGJyPjwvZGl2PjxkaXY+PGJyPjwvZGl2PjxkaXY+UmVnYXJkbGVzcyBvZiB3
aGV0aGVyIHRoaXMgY2hhbmdlIGlzIGFwcGxpZWQsIEkgdGhpbmsgaXQgd291bGQgYmUgZ29vZCB0
byBzdWdnZXN0IGJsb2cgcG9zdGVycyB0byB1c2UgaGVhZGluZyBsZXZlbHMgdG8gY29udmV5IHN0
cnVjdHVyZSwgbm90IHN0eWxlLiBDdXJyZW50bHksIHBvc3QgaGVhZGluZ3MgYXJlIG9mdGVuIHVz
ZWQgZm9yIHRoZSBsYXR0ZXIgKGZvciBpbnN0YW5jZSwgdG8gbWFrZSBhIGhlYWRpbmcgdGV4dCBz
bWFsbGVyKS4gSSBoYXZlbid0IHRyaWVkIG15c2VsZiwgYnV0IGl0IHNlZW1zIHRoYXQgdXNpbmcg
aGVhZGluZ3MgaW4gdGhpcyB3YXkgY2FuIG1ha2UgaXQgaGFyZGVyIGZvciBwZW9wbGUgdXNpbmcg
YXNzaXN0aXZlIHRlY2hub2xvZ2llcy48YnI+PC9kaXY+PGRpdj48YnI+PC9kaXY+PGRpdj5Tbywg
d2hlbiB3cml0aW5nIGEgYmxvZyBwb3N0LCB0aGUgdGl0bGUgaGFzIHRoZSBoaWdoZXN0IGxldmVs
IChjdXJyZW50bHkgSDIsIGJ1dCBIMSBpZiB0aGlzIHBhdGNoIGlzIGFwcGxpZWQpLCBhbmQgdGhl
IGhlYWRpbmdzIGluIHRoZSBib2R5IHNob3VsZCB1c2UgbG93ZXIgbGV2ZWxzIGFjY29yZGluZ2x5
LCB3aXRob3V0IHNraXBwaW5nIGxldmVscy48YnI+PC9kaXY+


--b1_WWgmujk0DYRk8xZkB4NOA9glaRpaOxE6kacST4oNU--





Information forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Feb 2020 18:27:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 16 13:27:43 2020
Received: from localhost ([127.0.0.1]:37664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j3Odn-0003ne-D0
	for submit <at> debbugs.gnu.org; Sun, 16 Feb 2020 13:27:43 -0500
Received: from lists.gnu.org ([209.51.188.17]:45942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sirgazil@HIDDEN>) id 1j3Odh-0003nT-N2
 for submit <at> debbugs.gnu.org; Sun, 16 Feb 2020 13:27:38 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55049)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <sirgazil@HIDDEN>) id 1j3Odb-000865-MN
 for guix-patches@HIDDEN; Sun, 16 Feb 2020 13:27:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sirgazil@HIDDEN>) id 1j3OdY-0005EN-GN
 for guix-patches@HIDDEN; Sun, 16 Feb 2020 13:27:27 -0500
Received: from sender4-pp-o91.zoho.com ([136.143.188.91]:25177)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <sirgazil@HIDDEN>) id 1j3OdY-0005Cj-6N
 for guix-patches@HIDDEN; Sun, 16 Feb 2020 13:27:24 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1581877641; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=SkCvP8G//ObMnUYUvN5AyJ+BNZqNJ6SZQg84nTpih6JgRf7pWg9NXQkeTgGXccWiOzrFdgKVYANT4hnfi2ZXPEkAUkV7C5nKGVN3/yPxdteRvGB68UB0OIzpfm+44D5XG97e2cs/PQ6MzcPyFcbc9tdGZD8bNqzo2uaXW4Z9MXw=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1581877641;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=RSP1B/h+4+xsY9Wxzn6hfff2KSZ8jfMiS10nTR8DkvI=; 
 b=XT/51ixTG3oykj78lsH1LchNRh8UQl0+8Hz2yU0UsGJGNSdDQVr89MKN/51ng76pzbeHzHMan2Qaj9kYg7EiYSiQm6oWYa6dhOa1JyIoS0hofFqg0wdOPufxnIU2ogO6m8yMerKNiPAOIOxzTolWYOu+98KFwf10W0m0CGXJsoE=
ARC-Authentication-Results: i=1; mx.zohomail.com; dkim=pass  header.i=zoho.com;
 spf=pass  smtp.mailfrom=sirgazil@HIDDEN;
 dmarc=pass header.from=<sirgazil@HIDDEN> header.from=<sirgazil@HIDDEN>
DomainKey-Signature: a=rsa-sha1; q=dns; c=nofws; s=zapps768; d=zoho.com; 
 h=from:to:cc:message-id:subject:date:mime-version:content-type; 
 b=n3tLpkPnXftz8UIQYnVS2LbENJezFncvOJmr3Nlw04+JOR85QM3aK7sSURqUw0HxETj5uI1tq45F
 R2DIm5xmLCP6/vIXzbDCM6aomX+JoQUC/XDTEq3JWSyv62iU4rLW  
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1581877641; 
 s=zm2020; d=zoho.com; i=sirgazil@HIDDEN;
 h=From:To:Cc:Message-ID:Subject:Date:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=RSP1B/h+4+xsY9Wxzn6hfff2KSZ8jfMiS10nTR8DkvI=;
 b=A/sx+EDE7tUId2vV0vRKKXePS27ZnO28PpMh9nn7hjIyqex7MHfvQPq+IxDyNZ5a
 Pd+loUMczLs8Grr9KmgdLSt/GsUG54T8IO01odKXC4APYj3SKd9DrJNOYyQBqXynldD
 QJUEPqYYhJrdQJxv9giOufyJPb73XloEBtKqxRS0=
Received: from localhost.localdomain (179.15.13.185 [179.15.13.185]) by
 mx.zohomail.com with SMTPS id 1581877640453377.1911827558524;
 Sun, 16 Feb 2020 10:27:20 -0800 (PST)
From: sirgazil <sirgazil@HIDDEN>
To: guix-patches@HIDDEN
Message-ID: <20200216182649.25068-1-sirgazil@HIDDEN>
Subject: [PATCH] website: Modify use of H1 headings
Date: Sun, 16 Feb 2020 13:26:49 -0500
X-Mailer: git-send-email 2.25.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 136.143.188.91
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: The website was originally designed to use only one H1
 element
 per page, which is/was seen as a best practice for accessibility and SEO.
 However, the value of the H1 element in all the pages of the we [...] 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (sirgazil[at]zoho.com)
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=sirgazil%40zoho.com; ip=209.51.188.17; r=debbugs.gnu.org]
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
Cc: sirgazil <sirgazil@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

The website was originally designed to use only one H1 element per
page, which is/was seen as a best practice for accessibility and
SEO. However, the value of the H1 element in all the pages of the
website was always the alternative text of the Guix logo ("Guix"). The
main content of a page started with a level 2 heading (H2).

This change maintains the best practice of using only one H1 element
per page, but gives a less important level to the Guix logo (it
becomes H2) and uses H1 as the heading for the main content of
pages. This means, for example, that the H1 of the download page is
"Download", the H1 of the help page is "Help", the H1 of a blog post
is its title, and so on.

The changes were tested in the following browsers (without assistive
technologies):

* IceCat 68.4.1esr
* Epiphany 3.32.5 (WebKitGTK+ 2.26.3)
* Lynx 2.8.9rel.1

Website pages validate correctly using the https://validator.w3.org/,
and their heading-level and structural outlines are similar to those
of the https://webaim.org/ pages.

* website/apps/base/templates/components.scm (navbar): Make logo H2.

For the following templates, change main content heading from H2 to
H1, and update subheadings accordingly.

* website/apps/base/templates/about.scm (about-t)
* website/apps/base/templates/contact.scm (contact-t)
* website/apps/base/templates/contribute.scm (contribute-t)
* website/apps/base/templates/donate.scm (donate-t)
* website/apps/base/templates/graphics.scm (graphics-t)
* website/apps/base/templates/help.scm (help-t)
* website/apps/base/templates/home.scm (home-t)
* website/apps/base/templates/irc.scm (irc-t)
* website/apps/base/templates/security.scm (security-t)
* website/apps/blog/templates/components.scm (post-preview)
* website/apps/blog/templates/post-list.scm (post-list-t)
* website/apps/blog/templates/post.scm (post-t)
* website/apps/blog/templates/tag.scm (tag-t)
* website/apps/download/templates/components.scm (download)
* website/apps/download/templates/download.scm (download-t)
* website/apps/media/templates/screenshot.scm (screenshot-t)
* website/apps/media/templates/video.scm (video-t)
* website/apps/packages/templates/detailed-index.scm (detailed-index-t)
* website/apps/packages/templates/detailed-package-list.scm
  (detailed-package-list-t)
* website/apps/packages/templates/index.scm (index-t)
* website/apps/packages/templates/package-list.scm (package-list-t)
* website/apps/packages/templates/package.scm (package-t)

For the following templates, add missing H1 heading to the main
content:

* website/apps/media/templates/screenshots-overview.scm
  (screenshots-overview-t)
* website/apps/media/templates/video-list.scm (video-list-t)

Style changes:

* website/static/base/css/download.css (.download-box h2): New style.
* website/static/base/css/item-preview.css (.item-preview h2):
  (.summary-box h2) New style.
* website/static/base/css/navbar.css (.navbar > h1): Change to
  ".navbar > h2" (the logo is now an H2 heading).
* website/static/base/css/page.css (h1): New style.
---
 website/apps/base/templates/about.scm         |  6 +++---
 website/apps/base/templates/components.scm    |  4 ++--
 website/apps/base/templates/contact.scm       |  2 +-
 website/apps/base/templates/contribute.scm    | 20 +++++++++----------
 website/apps/base/templates/donate.scm        |  6 +++---
 website/apps/base/templates/graphics.scm      |  2 +-
 website/apps/base/templates/help.scm          | 14 ++++++-------
 website/apps/base/templates/home.scm          |  2 +-
 website/apps/base/templates/irc.scm           |  2 +-
 website/apps/base/templates/security.scm      |  8 ++++----
 website/apps/blog/templates/components.scm    |  2 +-
 website/apps/blog/templates/post-list.scm     |  2 +-
 website/apps/blog/templates/post.scm          |  2 +-
 website/apps/blog/templates/tag.scm           |  2 +-
 .../apps/download/templates/components.scm    |  2 +-
 website/apps/download/templates/download.scm  |  2 +-
 website/apps/media/templates/screenshot.scm   |  2 +-
 .../media/templates/screenshots-overview.scm  |  1 +
 website/apps/media/templates/video-list.scm   |  1 +
 website/apps/media/templates/video.scm        |  2 +-
 .../packages/templates/detailed-index.scm     |  2 +-
 .../templates/detailed-package-list.scm       |  2 +-
 website/apps/packages/templates/index.scm     |  2 +-
 .../apps/packages/templates/package-list.scm  |  2 +-
 website/apps/packages/templates/package.scm   |  4 ++--
 website/static/base/css/download.css          |  4 ++++
 website/static/base/css/item-preview.css      |  5 +++++
 website/static/base/css/navbar.css            |  2 +-
 website/static/base/css/page.css              |  7 ++++---
 29 files changed, 63 insertions(+), 51 deletions(-)

diff --git a/website/apps/base/templates/about.scm b/website/apps/base/temp=
lates/about.scm
index c9489ef..8cd341c 100644
--- a/website/apps/base/templates/about.scm
+++ b/website/apps/base/templates/about.scm
@@ -29,7 +29,7 @@
    `(main
      (section
       (@ (class "page centered-block limit-width"))
-      (h2 "About the Project")
+      (h1 (@ (class "centered-text")) "About the Project")
=20
       (p
        "The " (em "GNU Guix") " package and system manager is a "
@@ -86,7 +86,7 @@
        ".")
=20
=20
-      (h3 (@ (id "mantainer")) "Maintainers")
+      (h2 (@ (id "mantainer")) "Maintainers")
=20
       (p
        "Guix is currently maintained by Ludovic Court=C3=A8s, Marius Bakke=
, Maxim
@@ -96,7 +96,7 @@ Cournoyer, Tobias Geerinckx-Rice, and Ricardo Wurmus.  Pl=
ease use the "
        "using the " (code "guix-maintainers@HIDDEN") " private alias.")
=20
=20
-      (h3 (@ (id "license")) "Licensing")
+      (h2 (@ (id "license")) "Licensing")
=20
       (p
        "Guix is free software; you can redistribute it and/or modify
diff --git a/website/apps/base/templates/components.scm b/website/apps/base=
/templates/components.scm
index a10fb00..12b9a74 100644
--- a/website/apps/base/templates/components.scm
+++ b/website/apps/base/templates/components.scm
@@ -280,10 +280,10 @@
     (@ (class "navbar"))
=20
     ;; Branding.
-    (h1
+    (h2
      (a
       (@ (class "branding") (href ,(guix-url)))
-      (span (@ (class "a11y-offset")) "Guix")))
+      (span (@ (class "a11y-offset")) "GNU Guix")))
=20
     ;; Menu.
     (nav (@ (class "menu"))
diff --git a/website/apps/base/templates/contact.scm b/website/apps/base/te=
mplates/contact.scm
index 2085e22..a831a1b 100644
--- a/website/apps/base/templates/contact.scm
+++ b/website/apps/base/templates/contact.scm
@@ -31,7 +31,7 @@
    `(main
      (section
       (@ (class "page centered-block limit-width"))
-      (h2 "Contact")
+      (h1 (@ (class "centered-text")) "Contact")
=20
       ,@(map
 =09 contact->shtml
diff --git a/website/apps/base/templates/contribute.scm b/website/apps/base=
/templates/contribute.scm
index 1451f0b..df8c1ab 100644
--- a/website/apps/base/templates/contribute.scm
+++ b/website/apps/base/templates/contribute.scm
@@ -31,7 +31,7 @@
    `(main
      (section
       (@ (class "page centered-block limit-width"))
-      (h2 "Contribute")
+      (h1 (@ (class "centered-text")) "Contribute")
=20
       (p
        "GNU=C2=A0Guix is a large project developed
@@ -60,7 +60,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "pms")) "Project Management")
+=09(h2 (@ (id "pms")) "Project Management")
 =09(p
 =09 "We use "
 =09 (a (@ (href "https://savannah.gnu.org/")) "Savannah")
@@ -80,7 +80,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "art")) "Art")
+=09(h2 (@ (id "art")) "Art")
 =09(p
 =09 "We are always looking for artists to help us design and
          improve user interfaces, and create multimedia material for
@@ -99,7 +99,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "documentation")) "Documentation")
+=09(h2 (@ (id "documentation")) "Documentation")
 =09(p
 =09 "You can read the "
 =09 (a (@ (href ,(guix-url "help/"))) "project documentation")
@@ -119,7 +119,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "packages")) "Packages")
+=09(h2 (@ (id "packages")) "Packages")
 =09(p
 =09 "Hundreds of software, documentation, and assets need to be
          packaged to make it easier for users to install their
@@ -147,7 +147,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "programming")) "Programming")
+=09(h2 (@ (id "programming")) "Programming")
 =09(p
 =09 "Source code is in the "
 =09 (a (@ (href "//git.savannah.gnu.org/cgit/guix.git/"))
@@ -178,7 +178,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "sysadmin")) "System Administration")
+=09(h2 (@ (id "sysadmin")) "System Administration")
 =09(p
 =09 "Our system infrastructure makes it possible for all the
          contributors to communicate and collaborate in the project,
@@ -198,7 +198,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "testing")) "Test and Bug Reports")
+=09(h2 (@ (id "testing")) "Test and Bug Reports")
 =09(p
 =09 "Install the software and send feedback to the community
          about your experience. Help the project by reporting bugs.")
@@ -219,7 +219,7 @@
=20
        (div
 =09(@ (class "summary-box"))
-=09(h3 (@ (id "translation")) "Translation")
+=09(h2 (@ (id "translation")) "Translation")
 =09(p
 =09 "You can help translate the "
 =09 (a (@ (href "https://translationproject.org/domain/guix.html"))
@@ -244,7 +244,7 @@
 =09   #:url "https://translationproject.org/"))))
=20
=20
-      (h3 (@ (id "resources")) "Other resources for contributors")
+      (h2 (@ (id "resources")) "Other resources for contributors")
       (p
        "Documents, supporting material of previous talks, and
        auxiliary information useful to hackers and maintainers is
diff --git a/website/apps/base/templates/donate.scm b/website/apps/base/tem=
plates/donate.scm
index 3135be8..c8699b6 100644
--- a/website/apps/base/templates/donate.scm
+++ b/website/apps/base/templates/donate.scm
@@ -30,7 +30,7 @@
    `(main
      (section
       (@ (class "page centered-block limit-width"))
-      (h2 "Donate")
+      (h1 (@ (class "centered-text")) "Donate")
=20
       (p
        "The "
@@ -57,7 +57,7 @@
 =09 #:label "=E2=99=A5 DONATE!"
 =09 #:url "https://my.fsf.org/civicrm/contribute/transact?reset=3D1&id=3D5=
0"))
=20
-      (h3
+      (h2
        (@ (id "hardware-and-hosting"))
        "Hardware and Hosting")
=20
@@ -80,7 +80,7 @@
         discuss any opportunities. ")
=20
=20
-      (h3
+      (h2
        (@ (id "hardware-donors"))
        "Thanks to the donors!")
=20
diff --git a/website/apps/base/templates/graphics.scm b/website/apps/base/t=
emplates/graphics.scm
index 6089988..9d7c878 100644
--- a/website/apps/base/templates/graphics.scm
+++ b/website/apps/base/templates/graphics.scm
@@ -28,7 +28,7 @@
    `(main
      (section
       (@ (class "page centered-block limit-width"))
-      (h2 "Graphics")
+      (h1 (@ (class "centered-text")) "Graphics")
=20
       (p
        "For questions regarding the graphics listed in this page,
diff --git a/website/apps/base/templates/help.scm b/website/apps/base/templ=
ates/help.scm
index 631be31..335e138 100644
--- a/website/apps/base/templates/help.scm
+++ b/website/apps/base/templates/help.scm
@@ -31,7 +31,7 @@
    `(main
      (section
       (@ (class "page"))
-      (h2 "Help")
+      (h1 (@ (class "centered-text")) "Help")
=20
       (div
        (@ (class "centered-text"))
@@ -42,7 +42,7 @@
 =09(img
 =09 (@ (src ,(guix-url "static/base/img/manual-icon.png"))
 =09    (alt "")))
-=09(h3 "GNU Guix Manual")
+=09(h2 "GNU Guix Manual")
 =09(p
 =09 "Documentation for GNU Guix is available
          online.  You may also find more information about Guix by running=
 "
@@ -67,7 +67,7 @@
         (@ (class "summary-box"))
         (img (@ (src ,(guix-url "static/base/img/videos-icon.png"))
                 (alt "")))
-        (h3 "Videos")
+        (h2 "Videos")
         (p
          "The collection of videos includes instructional material
          to help you get started with every day use of GNU Guix as
@@ -83,7 +83,7 @@
         (@ (class "summary-box"))
         (img (@ (src ,(guix-url "static/base/img/cookbook-icon.png"))
                 (alt "")))
-        (h3 "Cookbook")
+        (h2 "Cookbook")
         (p
          "Tutorials, how-to guides and examples contributed by the
          Guix community which show you how to use the system and its
@@ -99,7 +99,7 @@
 =09(@ (class "summary-box"))
 =09(img (@ (src ,(guix-url "static/base/img/library-icon.png"))
 =09=09(alt "")))
-=09(h3 "GNU Manuals")
+=09(h2 "GNU Manuals")
 =09(p
 =09 "Guix is a distribution of the "
 =09 (a (@ (href ,(gnu-url))) "GNU operating system")
@@ -115,7 +115,7 @@
 =09(@ (class "summary-box"))
 =09(img (@ (src ,(guix-url "static/base/img/chat-icon.png"))
 =09=09(alt "")))
-=09(h3 "IRC Chat")
+=09(h2 "IRC Chat")
 =09(p
 =09 "For real-time support from the community, you can connect
          to the " (code "#guix") " channel on irc.freenode.net. There
@@ -134,7 +134,7 @@
 =09(@ (class "summary-box"))
 =09(img (@ (src ,(guix-url "static/base/img/email-icon.png"))
 =09=09(alt "")))
-=09(h3 "Mailing lists")
+=09(h2 "Mailing lists")
 =09(p
 =09 "Email support from the community is also available through
          several mailing list. The messages sent to the lists are
diff --git a/website/apps/base/templates/home.scm b/website/apps/base/templ=
ates/home.scm
index 8b81b82..e99f938 100644
--- a/website/apps/base/templates/home.scm
+++ b/website/apps/base/templates/home.scm
@@ -36,7 +36,7 @@
      ;; Featured content.
      (section
       (@ (class "featured-content"))
-      (h2 (@ (class "a11y-offset")) "Summary")
+      (h1 (@ (class "a11y-offset")) "Overview")
       (ul
        (li
 =09(b "Liberating.")
diff --git a/website/apps/base/templates/irc.scm b/website/apps/base/templa=
tes/irc.scm
index a58b9e0..ee73eac 100644
--- a/website/apps/base/templates/irc.scm
+++ b/website/apps/base/templates/irc.scm
@@ -29,7 +29,7 @@
    `(main
      (section
       (@ (class "page"))
-      (h2 "IRC")
+      (h1 (@ (class "centered-text")) "IRC")
=20
       (p
        (@ (class "centered-block limit-width"))
diff --git a/website/apps/base/templates/security.scm b/website/apps/base/t=
emplates/security.scm
index f092074..e86ce3a 100644
--- a/website/apps/base/templates/security.scm
+++ b/website/apps/base/templates/security.scm
@@ -31,9 +31,9 @@
    `(main
      (section
       (@ (class "page centered-block limit-width"))
-      (h2 "Security")
+      (h1 (@ (class "centered-text")) "Security")
=20
-      (h3 "How to report security issues")
+      (h2 "How to report security issues")
       (p
        "To report sensitive security issues in Guix itself or the
         packages it provides, you can write to the private mailing list "
@@ -58,7 +58,7 @@
           (ul (@ (class "mono"))
             (li "BCA6 89B6 3655 3801 C3C6 2150 197A 5888 235F ACAC"))))
=20
-      (h3 "Release signatures")
+      (h2 "Release signatures")
       (p
        "Releases of Guix are signed using the OpenPGP "
        "key with the fingerprint "
@@ -68,7 +68,7 @@
        (a (@ (href ,(manual-url "Binary-Installation.html"))) "verify")
        " their downloads before extracting or running them.")
=20
-      (h3 "Security updates")
+      (h2 "Security updates")
       (p
        "When security vulnerabilities are found in Guix or the "
        "packages provided by Guix, we will provide "
diff --git a/website/apps/blog/templates/components.scm b/website/apps/blog=
/templates/components.scm
index 14b12ac..db9c22b 100644
--- a/website/apps/blog/templates/components.scm
+++ b/website/apps/blog/templates/components.scm
@@ -26,7 +26,7 @@
   `(a
     (@ (class "item-preview")
        (href ,(guix-url (url-path-join (post-url-path post) ""))))
-    (h3 ,(post-ref post 'title))
+    (h2 ,(post-ref post 'title))
     (p
      (@ (class "item-date"))
      ,(date->string (post-date post) "~B ~e, ~Y"))
diff --git a/website/apps/blog/templates/post-list.scm b/website/apps/blog/=
templates/post-list.scm
index 86b9365..d7ffbfa 100644
--- a/website/apps/blog/templates/post-list.scm
+++ b/website/apps/blog/templates/post-list.scm
@@ -43,7 +43,7 @@
      `(main
        (section
 =09(@ (class "page centered-text"))
-=09(h2 "Blog"
+=09(h1 "Blog"
 =09    ,(page-indicator (string->number page-number)
 =09=09=09     (string->number total-pages)))
=20
diff --git a/website/apps/blog/templates/post.scm b/website/apps/blog/templ=
ates/post.scm
index 39d0332..18d1342 100644
--- a/website/apps/blog/templates/post.scm
+++ b/website/apps/blog/templates/post.scm
@@ -38,7 +38,7 @@
      `(main
        (article
 =09(@ (class "page centered-block limit-width"))
-=09(h2 ,(post-ref post 'title))
+=09(h1 (@ (class "centered-text")) ,(post-ref post 'title))
 =09(p
 =09 (@ (class "post-metadata centered-text"))
 =09 ,(post-ref post 'author) " =E2=80=94 "
diff --git a/website/apps/blog/templates/tag.scm b/website/apps/blog/templa=
tes/tag.scm
index a000c8d..6585c73 100644
--- a/website/apps/blog/templates/tag.scm
+++ b/website/apps/blog/templates/tag.scm
@@ -48,7 +48,7 @@
      `(main
        (section
 =09(@ (class "page centered-text"))
-=09(h2 "Blog =E2=80=94 " ,tag
+=09(h1 (@ (class "centered-text")) "Blog =E2=80=94 " ,tag
 =09    ,(page-indicator (string->number page-number)
 =09=09=09     (string->number total-pages)))
=20
diff --git a/website/apps/download/templates/components.scm b/website/apps/=
download/templates/components.scm
index 1c26da3..065020d 100644
--- a/website/apps/download/templates/components.scm
+++ b/website/apps/download/templates/components.scm
@@ -19,7 +19,7 @@
   `(div
     (@ (class "download-box"))
     (img (@ (src ,(download-image dnd)) (alt "")))
-    (h3 ,(download-title dnd))
+    (h2 ,(download-title dnd))
     ,(download-description dnd)
     (p "Download options:")
     ,@(map (lambda (variant)
diff --git a/website/apps/download/templates/download.scm b/website/apps/do=
wnload/templates/download.scm
index de2e458..b44a8ec 100644
--- a/website/apps/download/templates/download.scm
+++ b/website/apps/download/templates/download.scm
@@ -46,7 +46,7 @@
    `(main
      (section
       (@ (class "page"))
-      (h2 "Download")
+      (h1 (@ (class "centered-text")) "Download")
=20
       (p
        (@ (class "centered-block limit-width"))
diff --git a/website/apps/media/templates/screenshot.scm b/website/apps/med=
ia/templates/screenshot.scm
index b738340..b020dc8 100644
--- a/website/apps/media/templates/screenshot.scm
+++ b/website/apps/media/templates/screenshot.scm
@@ -30,7 +30,7 @@
      `(main
        (section
 =09(@ (class "light-text centered-text noise-bg"))
-=09(h2
+=09(h1
 =09 (@ (class "a11y-offset"))
 =09 ,(screenshot-title shot))
=20
diff --git a/website/apps/media/templates/screenshots-overview.scm b/websit=
e/apps/media/templates/screenshots-overview.scm
index 2b19d05..115640c 100644
--- a/website/apps/media/templates/screenshots-overview.scm
+++ b/website/apps/media/templates/screenshots-overview.scm
@@ -27,4 +27,5 @@
    `(main
      (section
       (@ (class "light-text centered-text noise-bg"))
+      (h1 (@ (class "a11y-offset")) "Screenshots")
       ,(screenshots-box screenshots (length screenshots) #:shadow #t)))))
diff --git a/website/apps/media/templates/video-list.scm b/website/apps/med=
ia/templates/video-list.scm
index e05aa62..512c98c 100644
--- a/website/apps/media/templates/video-list.scm
+++ b/website/apps/media/templates/video-list.scm
@@ -33,6 +33,7 @@
    #:content
    `(main
      (@ (class "page centered-block limit-width"))
+     (h1 (@ (class "centered-text")) "Videos")
      ,(map-in-order
        (lambda (playlist)
          `(,(map-in-order
diff --git a/website/apps/media/templates/video.scm b/website/apps/media/te=
mplates/video.scm
index dff5a8a..c842a3f 100644
--- a/website/apps/media/templates/video.scm
+++ b/website/apps/media/templates/video.scm
@@ -34,7 +34,7 @@ PREVIOUS and NEXT videos are added."
    #:content
    `(main
      (@ (class "page centered-block limit-width"))
-     (h2 ,(video-title video))
+     (h1 (@ (class "centered-text")) ,(video-title video))
      ,(video-content video)
      ,(if (or previous next)
           `(div
diff --git a/website/apps/packages/templates/detailed-index.scm b/website/a=
pps/packages/templates/detailed-index.scm
index 189e8b5..bb86280 100644
--- a/website/apps/packages/templates/detailed-index.scm
+++ b/website/apps/packages/templates/detailed-index.scm
@@ -38,7 +38,7 @@ packages to advertise."
      `(main
        (section
 =09(@ (class "page centered-text"))
-=09(h2 "Packages")
+=09(h1 "Packages")
=20
 =09(p
 =09 (@ (class "limit-width centered-block"))
diff --git a/website/apps/packages/templates/detailed-package-list.scm b/we=
bsite/apps/packages/templates/detailed-package-list.scm
index 73ebecf..028679d 100644
--- a/website/apps/packages/templates/detailed-package-list.scm
+++ b/website/apps/packages/templates/detailed-package-list.scm
@@ -50,7 +50,7 @@
      `(main
        (section
 =09(@ (class "page centered-text"))
-=09(h2 "Packages =E2=80=94 " ,letter
+=09(h1 "Packages =E2=80=94 " ,letter
 =09    ,(page-indicator (string->number page-number)
 =09=09=09     (string->number total-pages)))
=20
diff --git a/website/apps/packages/templates/index.scm b/website/apps/packa=
ges/templates/index.scm
index cbf0862..b466386 100644
--- a/website/apps/packages/templates/index.scm
+++ b/website/apps/packages/templates/index.scm
@@ -37,7 +37,7 @@
      `(main
        (section
 =09(@ (class "page centered-text"))
-=09(h2 "Packages")
+=09(h1 "Packages")
=20
 =09(p
 =09 (@ (class "limit-width centered-block"))
diff --git a/website/apps/packages/templates/package-list.scm b/website/app=
s/packages/templates/package-list.scm
index 694ecdd..7f9bd4c 100644
--- a/website/apps/packages/templates/package-list.scm
+++ b/website/apps/packages/templates/package-list.scm
@@ -47,7 +47,7 @@
      `(main
        (section
 =09(@ (class "page centered-text"))
-=09(h2 "Packages =E2=80=94 " ,letter
+=09(h1 "Packages =E2=80=94 " ,letter
 =09    ,(page-indicator (string->number page-number)
 =09=09=09     (string->number total-pages)))
=20
diff --git a/website/apps/packages/templates/package.scm b/website/apps/pac=
kages/templates/package.scm
index b618d79..353a6a6 100644
--- a/website/apps/packages/templates/package.scm
+++ b/website/apps/packages/templates/package.scm
@@ -43,7 +43,7 @@
      `(main
        (article
 =09(@ (class "page centered-block limit-width"))
-=09(h2 ,package-id " "
+=09(h1 (@ (class "centered-text")) ,package-id " "
 =09    (span
 =09     (@ (class "synopsis"))
 =09     ,(package-synopsis-shtml package)))
@@ -72,7 +72,7 @@
 =09;; Lint issues.
 =09,(if (null? lint-issues)
 =09     ""
-=09     `((h3 "Lint issues")
+=09     `((h2 "Lint issues")
 =09       (p
 =09=09,(issue-count->shtml (length lint-issues)) ". "
 =09=09"See " (a (@ (href "#")) "package definition")
diff --git a/website/static/base/css/download.css b/website/static/base/css=
/download.css
index 8bcce9c..d1e92e4 100644
--- a/website/static/base/css/download.css
+++ b/website/static/base/css/download.css
@@ -10,6 +10,10 @@
     text-align: center;
 }
=20
+.download-box h2 {
+    font-size: 1.5em;
+}
+
 .download-btn,
 .download-btn:link,
 .download-btn:visited {
diff --git a/website/static/base/css/item-preview.css b/website/static/base=
/css/item-preview.css
index 16e698f..20d3837 100644
--- a/website/static/base/css/item-preview.css
+++ b/website/static/base/css/item-preview.css
@@ -15,6 +15,7 @@
     background-color: #F4BB15;
 }
=20
+.item-preview h2,
 .item-preview h3 {
     font-size: 1em;
     font-weight: bold;
@@ -63,4 +64,8 @@
 =09margin: 0px auto;
 =09max-width: 100%;
     }
+
+    .summary-box h2 {
+        font-size: 1.5em;
+    }
 }
diff --git a/website/static/base/css/navbar.css b/website/static/base/css/n=
avbar.css
index d975aa8..0e7865c 100644
--- a/website/static/base/css/navbar.css
+++ b/website/static/base/css/navbar.css
@@ -10,7 +10,7 @@
     overflow: hidden;
 }
=20
-.navbar > h1 {
+.navbar > h2 {
     display: inline-block;
     margin: 0px;
 }
diff --git a/website/static/base/css/page.css b/website/static/base/css/pag=
e.css
index eff3e26..6e39254 100644
--- a/website/static/base/css/page.css
+++ b/website/static/base/css/page.css
@@ -9,15 +9,16 @@ h5 {
     line-height: 1.2em;
 }
=20
+h1 {
+    font-size: 3em;
+}
+
 h2 {
     font-size: 2.5em;
-    text-align: center;
-    line-height: 1.2em;
 }
=20
 h3 {
     font-size: 1.5em;
-    line-height: 1.2em;
 }
=20
 .page {
--=20
2.25.0






Acknowledgement sent to sirgazil <sirgazil@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39635; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Oct 2020 01:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.